patches for DPDK stable branches
 help / color / mirror / Atom feed
* [PATCH 1/2] devtools: don't include headline "fix" in backports
@ 2021-12-03  7:51 christian.ehrhardt
  2021-12-03  7:51 ` [PATCH 2/2] devtools: report commit id on partial fixes christian.ehrhardt
  2021-12-03  7:53 ` [PATCH 1/2] devtools: don't include headline "fix" in backports Christian Ehrhardt
  0 siblings, 2 replies; 4+ messages in thread
From: christian.ehrhardt @ 2021-12-03  7:51 UTC (permalink / raw)
  To: stable, Thomas Monjalon, Luca Boccassi, Xueming Li,
	David Marchand, Kevin Traynor, Maxime Coquelin
  Cc: Christian Ehrhardt

From: Christian Ehrhardt <christian.ehrhardt@canonical.com>

It was important in the past to select anything with "fix" in the
headline, but recently more often created false positives and work
to sort tihngs out than identifying many helpful patches.

The community and processes aroudn DPDK matured enough that developers
(rightfully) expect to rely on "Fixes:" and "stable@" marking for
backprots.

Therefore do no more include patches that just include the word fix
in the backport candidate list.

Signed-off-by: Christian Ehrhardt <christian.ehrhardt@canonical.com>
---
 devtools/git-log-fixes.sh | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

diff --git a/devtools/git-log-fixes.sh b/devtools/git-log-fixes.sh
index 210c8dcf25..27ec9088d4 100755
--- a/devtools/git-log-fixes.sh
+++ b/devtools/git-log-fixes.sh
@@ -13,7 +13,7 @@ print_help ()
 	cat <<- END_OF_HELP
 
 	Find fixes to backport on previous versions.
-	It looks for the word "fix" in the headline or a tag "Fixes" or "Reverts".
+	It looks for a tag "Fixes" or "Reverts" and for recipient stable@dpdk.org.
 	The oldest bug origin is printed as well as partially fixed versions.
 	END_OF_HELP
 }
@@ -109,8 +109,7 @@ while read id headline ; do
 	origins=$(origin_filter $id)
 	stable=$(stable_tag $id)
 	fixes=$(fixes_tag $id)
-	[ "$stable" = "S" ] || [ "$fixes" = "F" ] || [ -n "$origins" ] || \
-		echo "$headline" | grep -q fix || continue
+	[ "$stable" = "S" ] || [ "$fixes" = "F" ] || [ -n "$origins" ] || continue
 	version=$(commit_version $id)
 	if [ -n "$origins" ] ; then
 		origver="$(origin_version $origins)"
-- 
2.34.0


^ permalink raw reply	[flat|nested] 4+ messages in thread

* [PATCH 2/2] devtools: report commit id on partial fixes
  2021-12-03  7:51 [PATCH 1/2] devtools: don't include headline "fix" in backports christian.ehrhardt
@ 2021-12-03  7:51 ` christian.ehrhardt
  2021-12-03  7:53   ` Christian Ehrhardt
  2021-12-03  7:53 ` [PATCH 1/2] devtools: don't include headline "fix" in backports Christian Ehrhardt
  1 sibling, 1 reply; 4+ messages in thread
From: christian.ehrhardt @ 2021-12-03  7:51 UTC (permalink / raw)
  To: stable, Thomas Monjalon, Luca Boccassi, Xueming Li,
	David Marchand, Kevin Traynor, Maxime Coquelin
  Cc: Christian Ehrhardt

From: Christian Ehrhardt <christian.ehrhardt@canonical.com>

The candidate list for backports lists partial fixes like:
 "(21.02 (partially fixed in 21.08))"
That is useful to identify fixes menat for later releases, but
indirectly applying to older ones as well.

While the devscript has no access to the stable tree to fully check
if the respective interim commit is present there, reporting the commit
id will still help to check it later - because only if the interim commit
id is in the stable tree, then also the new fix is a real candidate
for backporting.

The above would become "(21.02 (partially fixed in c30751afc360 @ 21.08))"

Signed-off-by: Christian Ehrhardt <christian.ehrhardt@canonical.com>
---
 devtools/git-log-fixes.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/devtools/git-log-fixes.sh b/devtools/git-log-fixes.sh
index 27ec9088d4..a1b548948a 100755
--- a/devtools/git-log-fixes.sh
+++ b/devtools/git-log-fixes.sh
@@ -76,7 +76,7 @@ origin_version () # <origin_hash> ...
 			# look chained fix of fix recursively
 			local rootver="$(origin_version $roothashes)"
 			[ -n "$rootver" ] || continue
-			echo "$rootver (partially fixed in $origver)"
+			echo "$rootver (partially fixed in $origin @ $origver)"
 		else
 			echo "$origver"
 		fi
-- 
2.34.0


^ permalink raw reply	[flat|nested] 4+ messages in thread

* Re: [PATCH 2/2] devtools: report commit id on partial fixes
  2021-12-03  7:51 ` [PATCH 2/2] devtools: report commit id on partial fixes christian.ehrhardt
@ 2021-12-03  7:53   ` Christian Ehrhardt
  0 siblings, 0 replies; 4+ messages in thread
From: Christian Ehrhardt @ 2021-12-03  7:53 UTC (permalink / raw)
  To: stable, Thomas Monjalon, Luca Boccassi, Xueming Li,
	David Marchand, Kevin Traynor, Maxime Coquelin

On Fri, Dec 3, 2021 at 8:51 AM <christian.ehrhardt@canonical.com> wrote:
>
> From: Christian Ehrhardt <christian.ehrhardt@canonical.com>

Hmm, that probably should go to dev@ instead since that is where the
script lives - resubmitting

> The candidate list for backports lists partial fixes like:
>  "(21.02 (partially fixed in 21.08))"
> That is useful to identify fixes menat for later releases, but
> indirectly applying to older ones as well.
>
> While the devscript has no access to the stable tree to fully check
> if the respective interim commit is present there, reporting the commit
> id will still help to check it later - because only if the interim commit
> id is in the stable tree, then also the new fix is a real candidate
> for backporting.
>
> The above would become "(21.02 (partially fixed in c30751afc360 @ 21.08))"
>
> Signed-off-by: Christian Ehrhardt <christian.ehrhardt@canonical.com>
> ---
>  devtools/git-log-fixes.sh | 2 +-
>  1 file changed, 1 insertion(+), 1 deletion(-)
>
> diff --git a/devtools/git-log-fixes.sh b/devtools/git-log-fixes.sh
> index 27ec9088d4..a1b548948a 100755
> --- a/devtools/git-log-fixes.sh
> +++ b/devtools/git-log-fixes.sh
> @@ -76,7 +76,7 @@ origin_version () # <origin_hash> ...
>                         # look chained fix of fix recursively
>                         local rootver="$(origin_version $roothashes)"
>                         [ -n "$rootver" ] || continue
> -                       echo "$rootver (partially fixed in $origver)"
> +                       echo "$rootver (partially fixed in $origin @ $origver)"
>                 else
>                         echo "$origver"
>                 fi
> --
> 2.34.0
>


-- 
Christian Ehrhardt
Staff Engineer, Ubuntu Server
Canonical Ltd

^ permalink raw reply	[flat|nested] 4+ messages in thread

* Re: [PATCH 1/2] devtools: don't include headline "fix" in backports
  2021-12-03  7:51 [PATCH 1/2] devtools: don't include headline "fix" in backports christian.ehrhardt
  2021-12-03  7:51 ` [PATCH 2/2] devtools: report commit id on partial fixes christian.ehrhardt
@ 2021-12-03  7:53 ` Christian Ehrhardt
  1 sibling, 0 replies; 4+ messages in thread
From: Christian Ehrhardt @ 2021-12-03  7:53 UTC (permalink / raw)
  To: stable, Thomas Monjalon, Luca Boccassi, Xueming Li,
	David Marchand, Kevin Traynor, Maxime Coquelin

On Fri, Dec 3, 2021 at 8:51 AM <christian.ehrhardt@canonical.com> wrote:
>
> From: Christian Ehrhardt <christian.ehrhardt@canonical.com>

Hmm, that probably should go to dev@ instead since that is where the
script lives - resubmitting

> It was important in the past to select anything with "fix" in the
> headline, but recently more often created false positives and work
> to sort tihngs out than identifying many helpful patches.
>
> The community and processes aroudn DPDK matured enough that developers
> (rightfully) expect to rely on "Fixes:" and "stable@" marking for
> backprots.
>
> Therefore do no more include patches that just include the word fix
> in the backport candidate list.
>
> Signed-off-by: Christian Ehrhardt <christian.ehrhardt@canonical.com>
> ---
>  devtools/git-log-fixes.sh | 5 ++---
>  1 file changed, 2 insertions(+), 3 deletions(-)
>
> diff --git a/devtools/git-log-fixes.sh b/devtools/git-log-fixes.sh
> index 210c8dcf25..27ec9088d4 100755
> --- a/devtools/git-log-fixes.sh
> +++ b/devtools/git-log-fixes.sh
> @@ -13,7 +13,7 @@ print_help ()
>         cat <<- END_OF_HELP
>
>         Find fixes to backport on previous versions.
> -       It looks for the word "fix" in the headline or a tag "Fixes" or "Reverts".
> +       It looks for a tag "Fixes" or "Reverts" and for recipient stable@dpdk.org.
>         The oldest bug origin is printed as well as partially fixed versions.
>         END_OF_HELP
>  }
> @@ -109,8 +109,7 @@ while read id headline ; do
>         origins=$(origin_filter $id)
>         stable=$(stable_tag $id)
>         fixes=$(fixes_tag $id)
> -       [ "$stable" = "S" ] || [ "$fixes" = "F" ] || [ -n "$origins" ] || \
> -               echo "$headline" | grep -q fix || continue
> +       [ "$stable" = "S" ] || [ "$fixes" = "F" ] || [ -n "$origins" ] || continue
>         version=$(commit_version $id)
>         if [ -n "$origins" ] ; then
>                 origver="$(origin_version $origins)"
> --
> 2.34.0
>


-- 
Christian Ehrhardt
Staff Engineer, Ubuntu Server
Canonical Ltd

^ permalink raw reply	[flat|nested] 4+ messages in thread

end of thread, other threads:[~2021-12-03  7:54 UTC | newest]

Thread overview: 4+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2021-12-03  7:51 [PATCH 1/2] devtools: don't include headline "fix" in backports christian.ehrhardt
2021-12-03  7:51 ` [PATCH 2/2] devtools: report commit id on partial fixes christian.ehrhardt
2021-12-03  7:53   ` Christian Ehrhardt
2021-12-03  7:53 ` [PATCH 1/2] devtools: don't include headline "fix" in backports Christian Ehrhardt

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).